Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: Gameserverinfo.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

MonkeyFussel

Anfänger

  • »MonkeyFussel« ist der Autor dieses Themas

Beiträge: 8

Registrierungsdatum: 27. Dezember 2012

  • Nachricht senden

1

Freitag, 28. Dezember 2012, 13:08

Permissions-EX einrichten

Ich bitte um hilfe bei meinem Permissions-EX

Ich brauche hilfe beim einrichten der Permissions-EX file da ich dass zum ersten mal mache
meine Plugins:

ChatManager
Chestshop
Autosaveworld
Commandbook
Essentials
EssentialsAntibuild
EssentialsChat
EssentialsSpawn
EssentialsProtect
Iconomy
Lift
Minecars (geht irgendwie nicht)
Warpz0r
Permissions-EX (ist ja klar :D )
PlotME
worldedit (geht nicht erbitte um hilfe)
AuthME

Die Ränge

Gast:
Braucht passwort um sich freizuschalten Pass... sollte sein - Minecraft -

Bewohner
Admin
Vip
Moderator
Coserveradmin
Serveradmin

ich weis nicht was ich zu den permissions der ränge agen soll
da lass ich mich überraschen da ich das nicht kenn aber serveradmins
und mod sollten alles können

der Chat sollte so aussehen:

[Map]ServerAdmin-MonkeyFussel: ...

also so das immer die welt angezeigt wird wo man sich befindet

falls ich noch ein paar plugins bräuchte zum vervollständigen
bitte sagen


Ich bedanke mich schonmal recht Herzlich :)

MonkeyFussel

Anfänger

  • »MonkeyFussel« ist der Autor dieses Themas

Beiträge: 8

Registrierungsdatum: 27. Dezember 2012

  • Nachricht senden

2

Freitag, 28. Dezember 2012, 14:10

Habe noch was vergessen
wie sichere ich meine Welten denn wenn ich den server stoppe und wieder starte/neustarte ist alles weg????
ach ja und

Serveradmins die fabe Rot
Co.serveradmins die farbe orange
Vip die farbe Dunkelblau
Moderator die farbe gold
Admins die farbe lila
Bewohner Weiß
Gast dunkelGrün

Ps:wie kann ich creeper und TNT explosionen blocken

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »MonkeyFussel« (28. Dezember 2012, 14:42)


Robert

Fortgeschrittener

Beiträge: 336

Registrierungsdatum: 10. Januar 2011

  • Nachricht senden

3

Freitag, 28. Dezember 2012, 14:55

Das Pex-File nehme ich mir im neuen Jahr vor. Dieses Jahr hab ich da keine Zeit mehr für. Familie und so :)

Dein WorldEdit/Guard funktioniert sehr wahrscheinlich nicht weil du eine Version verwendest die nicht Up-To-Date ist. Beim letzten Update hat es diese Plugins zerlegt. Da müsstest du auf Dev-Builds zurückgreifen.
Mit Minecars verhält es sich genauso.

Grundsätzlich gilt:
Bei jedem Update Plugins checken und bei Bedarf updaten.

Wenn dein Server deine Welt nicht speichert, hat dein Anbieter da vermutlich ein Problem oder du willst deine Welt an einem Ort speichern wo du keinen Zugriff hast. ../../world/ wäre z.B. ein solcher Ort.

Auf jedem Fall solltest du dich da an deinen Anbieter wenden ;)

MonkeyFussel

Anfänger

  • »MonkeyFussel« ist der Autor dieses Themas

Beiträge: 8

Registrierungsdatum: 27. Dezember 2012

  • Nachricht senden

4

Freitag, 28. Dezember 2012, 15:01

Danke
und das du das im neuen Jahr machst ist ok.
deshalb wünsche ich dir schon mal Ein guten rutsch ins neue Jahr

dragonalpha

Anfänger

Beiträge: 22

Registrierungsdatum: 22. Dezember 2012

  • Nachricht senden

5

Sonntag, 30. Dezember 2012, 17:54



Ps:wie kann ich creeper und TNT explosionen blocken

Unter Worldguard gibt es eine Config.yml die du bearbeiten kannst, Worldguard läuft aber nur mit Worldedit zusammen !!

Also müsstest du Worldguard Installieren. Wie gesagt das setzt aber vorraus, das du Worldedit ans Laufen bekommst. Bei einem 1.4.5 Server funktioniert Worldedit ohne Probleme. Ob dies auch schon bei 1.4.6 klappt weis ich nicht.

wie sichere ich meine Welten denn wenn ich den server stoppe und wieder starte/neustarte ist alles weg????

Entweder benutzt du ein Backup Plugin wie z.B. MineBackup oder du benutzt den Befehl : /save-all, du kannst auch versuchen den befehl /save-on zu benutzen ich bin mir nicht sicher ob es noch so ist das dann Bukkit alle X minuten von alleine Speichert.



Ich brauche hilfe beim einrichten der Permissions-EX file da ich dass zum ersten mal mache

meine Plugins:



ChatManager

Chestshop

Autosaveworld

Commandbook

Essentials

EssentialsAntibuild

EssentialsChat

EssentialsSpawn

EssentialsProtect

Iconomy

Lift

Minecars (geht irgendwie nicht)

Warpz0r

Permissions-EX (ist ja klar :D )

PlotME

worldedit (geht nicht erbitte um hilfe)

AuthME



Die Ränge



Gast:

Braucht passwort um sich freizuschalten Pass... sollte sein - Minecraft -



Bewohner

Admin

Vip

Moderator

Coserveradmin

Serveradmin



ich weis nicht was ich zu den permissions der ränge agen soll

da lass ich mich überraschen da ich das nicht kenn aber serveradmins

und mod sollten alles können



der Chat sollte so aussehen:



[Map]ServerAdmin-MonkeyFussel: ...



also so das immer die welt angezeigt wird wo man sich befindet



falls ich noch ein paar plugins bräuchte zum vervollständigen

bitte sagen

Das ist eigentlich gar nicht so schwer. Du brauchst ersteinmal Notepad++ ( Kostenlos ), dann deinen FTP-Client und ein Browser Fenster.

Dann rufst du in deinem Notepad++ die groups.yml auf, Darin findest du die Definierten Gruppen :

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
default: gast
groups:
  admin:
	permissions:
	- MasterPromote.group
	- antiguest.*
	- bPermissions.admin
	- bukkit.command.whitelist
	- bukkit.command.whitelist.disable
	- bukkit.command.whitelist.enable
	- bukkit.command.whitelist.list
	- bukkit.command.whitelist.reload
	- lockette.admin.reload
	- scs.create
	- tracks.*
	groups:
	- coadmin
	meta:
  	priority: '500'
  	prefix: '&4[Admin]&7'


Da stehen deine Permission Nodes drin :

Z.B. :

Quellcode

1
	- bukkit.command.whitelist


Diese Nodes bekommst du aus deinen Plugin Beschreibungen, dafür brauchst du nun deinen Brwoser und rufst die Bukkitseite auf und suchst unter Plugins dann dein Plugin z.B. iConomy.

Unter iConomy findest du dann auch die Permission Nodes. Diese musst du nun einer Gruppe zuweisen, wer soll also iConomy nutzen können, da fängst du bei der Kleinsten Gruppe an, da ich mal denke das die Gäste nichts können sollen, bekommt also als erstes die Mitglieder gruppe diese Node.... da alle anderen Gruppen automatisch auch in der mItglieder Gruppe sind ( inheritance ) reicht es wenn du der Member Gruppe diese Rechte gibst. Und so machst du das für jedes Plugin. Welches du nutzen willst.

______________________________________________________________________________________

Dann bearbeitest du die user.yml im selben verzeichniss von pEX. diese sieht ungefähr so aus :

Quellcode

1
2
3
4
5
users:
  dragon:
	permissions: []
	groups:
	- admin


Dort Definierst du welcher User in Welcher Gruppe ist. Hier ist Dragon in der -admin gruppe. Somit hat er die Oben in der Groups.yml zugesicherten rechte eines Admins.

Serveradmins die fabe Rot

Co.serveradmins die farbe orange

Vip die farbe Dunkelblau

Moderator die farbe gold

Admins die farbe lila

Bewohner Weiß

Gast dunkelGrün

Dies Defiinierst du über die Prefixe siehe Oben in der Groups.yml :

Quellcode

1
prefix: '&4[Admin]&7'


Darüber werden die Farben und die Texte Definiert. Dabei steht das :

&4[Admin] für [Admin]
und das &7 für Weissen Text.

Bei dem was du möchtest :
[Map]ServerAdmin-MonkeyFussel: ...
Müsstest du wahrscheinlich einen Parameter in der :

- EssentialsChat config ändern. Da du aber nur eine Welt hast, da du wie ich sehe kein Multiverse verwendest ... warum dann der [Welt] Parameter ?? Reicht nicht der Parameter : [Admin]MonkeyFussel: TEXT ?


Ich bitte um hilfe bei meinem Permissions-EX

Ich brauche hilfe beim einrichten der Permissions-EX file da ich dass zum ersten mal mache
meine Plugins:

ChatManager <--- Das gleiche wie Essentials Chat ?!?!
Autosaveworld
Commandbook <---- Das Gleiche wie Essentials ?!?!
Essentials
EssentialsAntibuild
EssentialsChat <--- Das gleiche wie ChatManager ?!?!
Minecars (geht irgendwie nicht) <-- Outdated oder nicht richtig Hochgeladen ( Ordner Fehlt, an Falscher stelle oder falsche Rechte auf dem Server 775/777 )
worldedit (geht nicht erbitte um hilfe) <--- Outdated oder nicht Richtig Hochgeladen ( Ordner Fehlt, an Falscher Stelle oder falsche Rechte auf dem Server 775/777 )


Gast:
Braucht passwort um sich freizuschalten Pass... sollte sein - Minecraft - <--- Das wäre ein PW-Promote Plugin, da kenn ich mich nicht mit aus, aus den Plugins die du verwendest kann das kein Plugin !


Du musst also schauen das du aufpasst das du nicht 2 Plugins für eine Funktion hast, sonst beissen die sich, da der Server nicht mehr Weiß welches Plugin er beachten soll...

Grüsse
Dragonalpha
( DayZ Minecraft Server )
( Freebuild Minecraft Server )
( Milliáre Server )
Eigene Server :
Minecraft :
DayZ,Free-Build
Battlefield 2 :
A P P ( Coop Server )
A P P ( Zombie Server )
CS:GO
A P P ( Hostage Rescue map : )
A P ( Gunrace map )
Voice :
Teamspeak mit NPL Lizenz
Sunnymedia mit Hoster Lizenz
V-Server :
Quadcore 1024 MB Ram / +2048 DYN / 80 GB ( Debian 6 )
12 Core 2048 MB Ram + 8 GB Dyn / 100 GB ( Debian 6 )

MonkeyFussel

Anfänger

  • »MonkeyFussel« ist der Autor dieses Themas

Beiträge: 8

Registrierungsdatum: 27. Dezember 2012

  • Nachricht senden

6

Dienstag, 1. Januar 2013, 16:16

Könnte das nicht bitte jemand für mich schreiben nachher ist mein server down und das war er schon mal fast

MonkeyFussel

Anfänger

  • »MonkeyFussel« ist der Autor dieses Themas

Beiträge: 8

Registrierungsdatum: 27. Dezember 2012

  • Nachricht senden

7

Mittwoch, 2. Januar 2013, 17:08

hier die file evtl. kannste damit was anfangen
»MonkeyFussel« hat folgende Datei angehängt:
  • permissions.yml (2,1 kB - 32 mal heruntergeladen - zuletzt: 11. Oktober 2015, 20:12)

Robert

Fortgeschrittener

Beiträge: 336

Registrierungsdatum: 10. Januar 2011

  • Nachricht senden

8

Mittwoch, 2. Januar 2013, 17:27

Und was genau funktioniert bei diesem File nicht?
Das File ist sauber geschrieben und liefert auch keine Fehler beim parsen aus.

MonkeyFussel

Anfänger

  • »MonkeyFussel« ist der Autor dieses Themas

Beiträge: 8

Registrierungsdatum: 27. Dezember 2012

  • Nachricht senden

9

Mittwoch, 2. Januar 2013, 17:28

Man hat keine baurechte man kann nur bauen wenn man OP ist und das ist ja blöd

Robert

Fortgeschrittener

Beiträge: 336

Registrierungsdatum: 10. Januar 2011

  • Nachricht senden

10

Mittwoch, 2. Januar 2013, 17:36

Jede Gruppe hat das Recht modifyworld.*
Laut Permissions darf man also bauen/abbauen.
Vermutlich aber blockt Essentials an irgendeiner Stelle irgendetwas.
Was einer der Gründe ist wieso ich Essentials wie die Pest hasse.

EssentialsAntibuild fällt mir da spontan ins Auge.
Dein File hab ich gerade mal aufgeräumt und unnötiges entfernt.

Das behebt aber nicht dein Problem welches nicht von Permissions kommt.

Edit*
File entfernt damit hier nix durcheinander kommt :)

Robert

Fortgeschrittener

Beiträge: 336

Registrierungsdatum: 10. Januar 2011

  • Nachricht senden

11

Mittwoch, 2. Januar 2013, 17:38

Neues File
Build-Rechte von Essentials hinzugefügt.
Bitte einmal testen.

Mal nebenbei...
Ich halte es nicht für clever 2 Systeme zu nutzen ;)
»Robert« hat folgende Datei angehängt:
  • permissions.yml (1,92 kB - 26 mal heruntergeladen - zuletzt: 26. Januar 2015, 16:18)

MonkeyFussel

Anfänger

  • »MonkeyFussel« ist der Autor dieses Themas

Beiträge: 8

Registrierungsdatum: 27. Dezember 2012

  • Nachricht senden

12

Mittwoch, 2. Januar 2013, 18:01

^geht nicht :(

Robert

Fortgeschrittener

Beiträge: 336

Registrierungsdatum: 10. Januar 2011

  • Nachricht senden

13

Mittwoch, 2. Januar 2013, 18:03

Tjoar, dann machste einfach mal testweiße Essentials aus. Ein Logfile des Servers wäre auch nicht schlecht :)

dragonalpha

Anfänger

Beiträge: 22

Registrierungsdatum: 22. Dezember 2012

  • Nachricht senden

14

Mittwoch, 2. Januar 2013, 18:10

Generell sollte man Folgende Kombos an Plugins Vermeiden :

PEX und Essentials
Essentials und Comandbook
CraftBook und FalseBook


Das gibt nur Brassel.

Wenn du Essentials Verwendest brauchst du nur den Essentials Core dieser Enthällt : EssentialsChat, Essentials für die Befehle und den Groupmanager ( Das Permissions Backend )

Wenn du PEX oder bPermissions verwenden willst, dann verzichte auch Essentials und benutz einfach PEX Und / Oder bPermissions und das Comandbook.

Es Benutzt ja auch keiner iConomy und BOSE Conomy zusammen.

Deswegen schrieb ich ja :

Du musst also schauen das du aufpasst das du nicht 2 Plugins für eine Funktion hast, sonst beissen die sich, da der Server nicht mehr Weiß welches Plugin er beachten soll...

P.S. bin ich aber generell der Meinung das wenn man ein Grundgerüst hat, das man sich auch ein wenig selber mit den Plugins auseinander setzen muss, denn wenn man Server-Admin ist, sollte mana uch Verstehen was auf und mit seinem Server Passiert. Und nicht in Foren einfach Fertige yml Dateien einfügen und fertig. Damit lernt man es nicht wie man solche sache Bearbeiten muss.

Z.B. Kann man seine Gesammten Dateien in einem Onlineparser ---> LINK <---- Kontrollieren lassen ob die Formatierung und die Befehle darin korrekt sind. Es sagt ja keiner das man Plugins selber schreiben können muss aber zumindes die Config Dateien sollte man bearbeiten können.
Eigene Server :
Minecraft :
DayZ,Free-Build
Battlefield 2 :
A P P ( Coop Server )
A P P ( Zombie Server )
CS:GO
A P P ( Hostage Rescue map : )
A P ( Gunrace map )
Voice :
Teamspeak mit NPL Lizenz
Sunnymedia mit Hoster Lizenz
V-Server :
Quadcore 1024 MB Ram / +2048 DYN / 80 GB ( Debian 6 )
12 Core 2048 MB Ram + 8 GB Dyn / 100 GB ( Debian 6 )

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »dragonalpha« (2. Januar 2013, 18:15)


Robert

Fortgeschrittener

Beiträge: 336

Registrierungsdatum: 10. Januar 2011

  • Nachricht senden

15

Mittwoch, 2. Januar 2013, 18:11

So und nicht anders :)

Ähnliche Themen